#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : 
#	label 3 is SCALER ("SCALER_MEAS")
#	label 1003 is counter ("SCALER_COUNT")
#

echo "-------------------------------------------------------------------"

faster_disfast scaler_data_0001.fast -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1kHz
#     => 0.001s delay
#     => processus in background (&)
#

faster_file2rhb  scaler_data_0001.fast 0.0001 &


###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc           ->  RHB default behaviours
#      SCALER.pid       ->  faster data declaration
#      SCALER.facqConf  ->  histograms declaration
#      SCALER.rhvConf   ->  visualisation configuration
#

RHB  -r









###############################################################

pkill faster_file2rhb



